DCMTK: DcmPathNode Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Private Member Functions | List of all members
DcmPathNode Class Reference

Class representing a node in DcmPath. More...

## Public Member Functions
| DcmPathNode ()
| Constructor.
| DcmPathNode (DcmObject *obj, Uint32 itemNo)
| Constructor.
| ~DcmPathNode ()
| Destructor.

## Public Attributes
DcmObject * | m_obj
| Pointer to object this search node points to.
Uint32 | m_itemNo
| The item number of the item in m_obj; only useful if m_obj is an item.

## Private Member Functions
| DcmPathNode (const DcmPathNode &rhs)
| Private undefined copy constructor.
DcmPathNode & | operator= (const DcmPathNode &arg)
| Private undefined assignment operator.

## Detailed Description

Class representing a node in DcmPath.

A node contains just a pointer to a DcmObject (e.g. a sequence or an item). Additionally an item number is stored which also makes sense in case that the object pointed to is an item. The item number is necessary because when having only a pointer to a DcmItem there is no way to find out at which position the item actually has in the surrounding sequence.

## Constructor & Destructor Documentation

## ◆ DcmPathNode() [1/3]

DcmPathNode::DcmPathNode | ( |  | ) |
| inline

Constructor.

Creates empty path node.

References m_itemNo, and m_obj.

Referenced by DcmPathNode(), and operator=().

## ◆ DcmPathNode() [2/3]

DcmPathNode::DcmPathNode | ( | DcmObject * | obj,
|  | Uint32 | itemNo )
| inline

Constructor.

Creates search node from object pointer and item number.

Parameters

  obj | [in] The object the search node points to. The memory of the given DICOM object is not handled by the node itself but must be handled (i.e. freed) from outside.
  itemNo | [in] The item number that should be set. Only relevant if obj parameter contains an item

References m_itemNo, and m_obj.

## ◆ ~DcmPathNode()

DcmPathNode::~DcmPathNode | ( |  | ) |
| inline

Destructor.

Nothing to do, the DICOM object is not freed automatically!

## ◆ DcmPathNode() [3/3]

DcmPathNode::DcmPathNode | ( | const DcmPathNode & | rhs | ) |
| private

Private undefined copy constructor.

Parameters

  rhs | Object to copy from

References DcmPathNode().

## Member Function Documentation

## ◆ operator=()

DcmPathNode & DcmPathNode::operator= | ( | const DcmPathNode & | arg | ) |
| private

Private undefined assignment operator.

Parameters

  arg | Object to copy from

Returns
  Reference to this object

References DcmPathNode().

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcpath.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2